unit MIDASTestWithSecurityClient;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    edtMachine: TEdit;
    Label3: TLabel;
    btnConnect: TButton;
    btnDisconnect: TButton;
    btnGetDate: TButton;
    procedure btnConnectClick(Sender: TObject);
    procedure btnDisconnectClick(Sender: TObject);
    procedure btnGetDateClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses
  TestSecureServerDM;
{$R *.DFM}

procedure TForm1.btnConnectClick(Sender: TObject);
begin
  DataModule1.DCOMConnection.Connected := False;
  DataModule1.DCOMConnection.ComputerName := edtMachine.Text;
  DataModule1.DCOMConnection.Connected := True;
  btnDisconnect.enabled := true;
  btnGetDate.enabled := true;
  btnConnect.enabled := false;
end;

procedure TForm1.btnDisconnectClick(Sender: TObject);
begin
  DataModule1.DCOMConnection.Connected := False;
  btnDisconnect.enabled := false;
  btnGetDate.enabled := false;
  btnConnect.enabled := True;
end;

procedure TForm1.btnGetDateClick(Sender: TObject);
begin
  Label3.Caption := DataModule1.GetDate;
end;

end.
