unit RecordsetLib;

interface
uses
  adoInt;

{Example of creating a recordset on the fly}
function CreateCatRecordset : _recordset;

{This is independent of dynamic recordsets}
procedure PopulateCatRecordset( const aRS : _recordset );

implementation

function CreateCatRecordset : _recordset;
begin
  result := CoRecordset.Create;
  result.Fields.Append('NAME', adVarChar, 50, adFldUpdatable);
  result.Fields.Append('DESCRIPTION', adVarChar, 50, adFldUpdatable);
  result.Open(EmptyParam, EmptyParam, adOpenDynamic, adLockUnspecified, 0);
end;

procedure PopulateCatRecordset( const aRS : _recordset );
begin
  aRs.AddNew(emptyParam,emptyParam);
  aRs.Fields['NAME'].value := 'Murzyn';
  aRs.Fields['DESCRIPTION'].value := 'Black Cat, half Simease';

  aRs.AddNew(emptyParam,emptyParam);
  aRs.Fields['NAME'].value := 'Mandy';
  aRs.Fields['DESCRIPTION'].value := 'Black + White Cat';

  aRs.AddNew(emptyParam,emptyParam);
  aRs.Fields['NAME'].value := 'Baghera';
  aRs.Fields['DESCRIPTION'].value := 'Large Black Cat';

end;

end.
